ランタイム: Mix::Scene::BLUR Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Mix::Scene::BLUR Struct Reference

ブラー構造体 More...

`#include <Common.h>`

## Public Types

enum | TYPE { T_NONE = 0, T_KS_3x3 = 1, T_KS_5x5 = 2, T_GAUSSIAN = 3, T_GAUSSIAN_EX = 4, TYPE_MAX = 5 }
| タイプ列挙定数 More...

## Public Member Functions

| BLUR (void)
| コンストラクタ More...
BLUR::TYPE | GetType (void) const
| タイプを取得します More...
Int32 | GetIntValue (void) const
| 整数型の値を取得します More...
Float32 | GetFloatValue (void) const
| 浮動小数点型の値を取得します More...
Boolean | IsValid (void) const
| 有効かどうかを確認します More...

## Static Public Member Functions

static const Mix::Scene::BLUR & | NONE (void)
| ブラーをかけない More...
static Mix::Scene::BLUR | KS_3x3 (void)
| カーネルサイズが 3x3 のブラー More...
static Mix::Scene::BLUR | KS_3x3 (Int32 iteration)
| カーネルサイズが 3x3 のブラー More...
static Mix::Scene::BLUR | KS_5x5 (void)
| カーネルサイズが 5x5 のブラー More...
static Mix::Scene::BLUR | KS_5x5 (Int32 iteration)
| カーネルサイズが 5x5 のブラー More...
static Mix::Scene::BLUR | GAUSSIAN (void)
| ガウシアンブラー More...
static Mix::Scene::BLUR | GAUSSIAN (Float32 dispersion)
| ガウシアンブラー More...
static Mix::Scene::BLUR | GAUSSIAN_EX (void)
| ガウシアンブラーEX More...
static Mix::Scene::BLUR | GAUSSIAN_EX (Int32 radius)
| ガウシアンブラーEX More...

## Detailed Description

ブラー構造体

## Member Enumeration Documentation

enum Mix::Scene::BLUR::TYPE

タイプ列挙定数

Enumerator
T_NONE | 無し
T_KS_3x3 | 3x3
T_KS_5x5 | 5x5
T_GAUSSIAN | ガウシアンブラー
T_GAUSSIAN_EX | ガウシアンブラーEX
TYPE_MAX | タイプ数

## Constructor & Destructor Documentation

Mix::Scene::BLUR::BLUR | ( | void |  | ) |

コンストラクタ

## Member Function Documentation

BLUR::TYPE Mix::Scene::BLUR::GetType | ( | void |  | ) | const

タイプを取得します

Returns
  タイプを表す Mix::Scene::BLUR::TYPE 列挙定数を返します

Int32 Mix::Scene::BLUR::GetIntValue | ( | void |  | ) | const

整数型の値を取得します

Returns
  値を返します

Float32 Mix::Scene::BLUR::GetFloatValue | ( | void |  | ) | const

浮動小数点型の値を取得します

Returns
  値を返します

Boolean Mix::Scene::BLUR::IsValid | ( | void |  | ) | const

有効かどうかを確認します

Returns
  有効( type != Mix::Scene::BLUR::T_NONE )な場合は True を返します

static const Mix::Scene::BLUR& Mix::Scene::BLUR::NONE | ( | void |  | ) |

static

ブラーをかけない

Returns
  ブラーを表す Mix::Scene::BLUR 構造体を返します

static Mix::Scene::BLUR Mix::Scene::BLUR::KS_3x3 | ( | void |  | ) |

static

カーネルサイズが 3x3 のブラー

Returns
  ブラーを表す Mix::Scene::BLUR 構造体を返します

Note
  繰り返し数は 1 になります。

static Mix::Scene::BLUR Mix::Scene::BLUR::KS_3x3 | ( | Int32 | iteration | ) |

static

カーネルサイズが 3x3 のブラー

Parameters

  [in] | iteration | 繰り返し数( 1〜16 )

Returns
  ブラーを表す Mix::Scene::BLUR 構造体を返します

Note
  繰り返し数は GetIntValue() で取得できます。

static Mix::Scene::BLUR Mix::Scene::BLUR::KS_5x5 | ( | void |  | ) |

static

カーネルサイズが 5x5 のブラー

Returns
  ブラーを表す Mix::Scene::BLUR 構造体を返します

Note
  繰り返し数は 1 になります。

static Mix::Scene::BLUR Mix::Scene::BLUR::KS_5x5 | ( | Int32 | iteration | ) |

static

カーネルサイズが 5x5 のブラー

Parameters

  [in] | iteration | 繰り返し数( 1〜16 )

Returns
  ブラーを表す Mix::Scene::BLUR 構造体を返します

Note
  繰り返し数は GetIntValue() で取得できます。

static Mix::Scene::BLUR Mix::Scene::BLUR::GAUSSIAN | ( | void |  | ) |

static

ガウシアンブラー

Returns
  ブラーを表す Mix::Scene::BLUR 構造体を返します

Note
  分散値は 0.0001f になります。

static Mix::Scene::BLUR Mix::Scene::BLUR::GAUSSIAN | ( | Float32 | dispersion | ) |

static

ガウシアンブラー

Parameters

  [in] | dispersion | 分散値( 0.0001f〜128.0000f )

Returns
  ブラーを表す Mix::Scene::BLUR 構造体を返します

Note
  分散値は GetFloatValue() で取得できます。
  また小数部は4桁までです。

static Mix::Scene::BLUR Mix::Scene::BLUR::GAUSSIAN_EX | ( | void |  | ) |

static

ガウシアンブラーEX

Returns
  ブラーを表す Mix::Scene::BLUR 構造体を返します

Note
  半径は 4 になります。
  また シェーダーモデル3 ( DirectX9 ) では状況によって極端に重くなることがありますので、
  使用は控えてください。

static Mix::Scene::BLUR Mix::Scene::BLUR::GAUSSIAN_EX | ( | Int32 | radius | ) |

static

ガウシアンブラーEX

Parameters

  [in] | radius | 半径( 4〜64 )

Returns
  ブラーを表す Mix::Scene::BLUR 構造体を返します

Note
  半径は GetIntValue() で取得できます。

The documentation for this struct was generated from the following file:

- Mix/Common.h